import numpy as np

from calng import utils

def test_get_c_type():
    assert utils.np_dtype_to_c_type(np.float16) == "half"
    assert utils.np_dtype_to_c_type(np.float32) == "float"
    assert utils.np_dtype_to_c_type(np.float64) == "double"

    assert utils.np_dtype_to_c_type(np.uint8) == "unsigned char"
    assert utils.np_dtype_to_c_type(np.uint16) == "unsigned short"
    assert utils.np_dtype_to_c_type(np.uint32) in ("unsigned", "unsigned int")
    assert utils.np_dtype_to_c_type(np.uint64) == "unsigned long"

    assert utils.np_dtype_to_c_type(np.int8) == "char"
    assert utils.np_dtype_to_c_type(np.int16) == "short"
    assert utils.np_dtype_to_c_type(np.int32) == "int"
    assert utils.np_dtype_to_c_type(np.int64) == "long"
